import { ErrorBanner, DismissingAction, ConfirmingAction } from '../types';
/**
 * ErrorBannerBuilder to build ErrorBanner
 * @public
 */
export declare class ErrorBannerBuilder {
    private dismissingAction;
    private confirmingActions;
    /**
     * Add dismissing action to ErrorBanner
     * @public
     * @param dismissingAction - {@link DismissingAction}
     * @returns
     */
    withDismissingAction(dismissingAction: DismissingAction): ErrorBannerBuilder;
    /**
     * Add confirming action to ErrorBanner
     * @public
     * @param confirmingAction - {@link ConfirmingAction}
     * @returns
     */
    withConfirmingAction(confirmingAction: ConfirmingAction): ErrorBannerBuilder;
    /**
     * Build ErrorBanner
     * @public
     * @returns ErrorBanner
     */
    build(): ErrorBanner;
}
/**
 * Get error banner builder instance
 * @public
 */
export declare const getErrorBannerBuilder: () => ErrorBannerBuilder;
//# sourceMappingURL=error-banner-builder.d.ts.map